Java Virtual Machine

No Magic's MagicDraw and Cameo Suite products are Java based.
The following table lists the recommended* Java versions:


* Most of testing was performed with these versions 

17.0.1 and later versions
17.0 version
16.8 and 16.9 versions
16.6 version
15.0, 15.1, 15.5, 16.0 and 16.5 versions
12.1, 12.5 and 14.0 versions
11.5, 11.6 and 12.0 versions
10.0, 10.5 and 11.0 versions
9.5 version

Product
version

Recommended Java version

Not supported Java versions

18.0

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, 1.5.x, and 1.6.x.

17.0.5 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.5

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.4 SP2

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.4, 17.0.4 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.3, 17.0.3 SP1

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2 SP4

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2 SP3

  • Sun's JDK 1.6.0_39 is recommended on Windows, Linux, Mac OS X Leopard, and Mac OS X Snow Leopard.
  • Sun's JDK 1.6.0_37 is recommended on Mac OS X Lion and Mac OS X Mountain Lion.

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.2, 17.0.2 SP1, SP2

  • Sun's JDK 1.6.0_31 is recommended on Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Snow Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0.1, 17.0.1 SP1, SP2

  • Sun's JDK 1.6.0_26 is recommended on Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Show Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

17.0, 17.0 SP1, SP2, SP3, SP4, SP5, SP6

  • Sun's JDK 1.6.0_22 is recommended on Windows, Linux and both 32-bit and 64-bit Mac OS X (Leopard or Snow Leopard).

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

16.8 and 16.9

JDK 1.1.x, 1.2.x, 1.3.x, 1.4.x, and 1.5.x.

16.6, 16.6 SP1, SP2

JDK 1.1.x, 1.2.x, 1.3.x, and 1.4.x.

15.0, 15.1, 15.5, 16.0 and 16.5

JDK 1.1.x, 1.2.x, 1.3.x, and 1.4.x.

omg-member-logo

nomagic gartner-ad 2013

facebook 32 linkedin 32 twitter 32 youtube 32 rss 32